ndcctools.taskvine.task Namespace Reference

This module provides the classes to construct tasks to submit for execution to a TaskVine manager. More...

## Data Structures

class | Task
| TaskVine Task object. More...
class | PythonTask
class | PythonTaskNoResult
class | FunctionCall
| TaskVine FunctionCall object. More...
class | FunctionCallNoResult
class | LibraryTask
| TaskVine LibraryTask object. More...

## Detailed Description

This module provides the classes to construct tasks to submit for execution to a TaskVine manager.